asserts.cpp File Reference
`#include "stdinc.h"`
`#include "asserts.h"`
`#include <sstream>`

Go to the source code of this file.

## Namespaces

namespace | TestInternal

## Functions

void | TestInternal::assertOK (const StdData &data)
void | TestInternal::assertFail (const char *cond, const char *expected, const StdData &data)
void | TestInternal::assertFail1 (const char *cond, const char *expected, const StdData &data, const char *exp1, string exp1Value)
void | TestInternal::assertFail2 (const char *cond, const char *expected, const StdData &data, const char *exp1, string exp1Value, const char *exp2, string exp2Value)
void | TestInternal::assertSucceeded (bool printDot)
void | TestInternal::assertFailed (const char *errorMsg, const char *testName, const char *file, size_t line)
void | TestInternal::assertFailed2 (const char *errorMsg, const char *testName, const char *file, size_t line, const char *expression1, const char *expression1Value, const char *expression2, const char *expression2Value)
void | TestInternal::assertTrue (bool value, const char *valueString, const char *testName, const char *file, size_t line, bool printDot)
void | TestInternal::assertTrue2Failed (const char *valueString, const char *testName, const char *file, size_t line, const char *expression1, const char *expression1Value, const char *expression2, const char *expression2Value)
void | TestInternal::assertFalse (bool value, const char *valueString, const char *testName, const char *file, size_t line, bool printDot)
void | TestInternal::assertEqualFailed (const char *a, const char *b, const char *aString, const char *bString, const char *testName, const char *file, size_t line)
void | TestInternal::assertNotEqualFailed (const char *a, const char *b, const char *aString, const char *bString, const char *testName, const char *file, size_t line)